

int rightArrowBtn = 10;
int enterBtn = 11;
int pagerAnalogPin = A1;
unsigned long currentTime;

void setup(){
  pinMode(enterBtn, OUTPUT);
  pinMode(rightArrowBtn, OUTPUT);
  pinMode(pagerAnalogPin, INPUT);

  Serial.begin(9600); 
  currentTime = millis();
}

void loop(){

  // heartbeat once each minute, roughly
  if(millis()-currentTime > 60000){
    Serial.println("HEARTBEAT");  
    currentTime = millis();
  }
  if(analogRead(pagerAnalogPin) >=326){
    // waiting for 3 seconds to ensure this is a page and not a reminder beep/etc...
    delay(3000);
    if(analogRead(pagerAnalogPin) >= 326){
      Serial.println("PAGERECEIVED");
      // sleeping for 13 seconds to ensure the page is completed and voltages have returned to zero
      delay(13000);
    }
  }
}

